Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.security.proxytrust
Interface ServerProxyTrust

All Known Implementing Classes:
  ActivationGroupImpl, OutriggerServerImpl, SharedGroupImpl

public interface ServerProxyTrust

Defines a local interface to obtain a proxy trust verifier. A service that uses specialized proxies (proxies that will not directly be considered trusted by clients) can export a remote object that is an instance of this interface to allow clients to verify that the proxies can be trusted as proxies for the service. The intention is that a remote call to the `ProxyTrust.getProxyVerifier` method of a trusted bootstrap proxy will be implemented (on the server side) by delegating to the corresponding method of this local interface. `ProxyTrustExporter` is one example of this form of delegation.

Since:
  2.0

Method Summary
`TrustVerifier` | `getProxyVerifier()` Returns a `TrustVerifier` that can be used to verify that a proxy can be trusted as a proxy for the service; that is, the `isTrustedObject` method of the returned verifier can be called with a candidate proxy.

Method Detail

### getProxyVerifier

    public TrustVerifier getProxyVerifier()
                                   throws RemoteException

  Returns a `TrustVerifier` that can be used to verify that a proxy can be trusted as a proxy for the service; that is, the `isTrustedObject` method of the returned verifier can be called with a candidate proxy. The verifier should be able to verify all proxies for the service, including proxies for resources (such as leases and registrations).

  Returns:
    a `TrustVerifier` that can be used to verify that a proxy can be trusted as a proxy for the service
  Throws:
    `RemoteException` - if a communication-related exception occurs
    `UnsupportedOperationException` - if the server is not configured for trust verification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved